Module | Sequel::JDBC::Oracle::DatabaseMethods
In: | lib/sequel/adapters/jdbc/oracle.rb

Instance methods for Oracle Database objects accessed via JDBC.

### Methods

extended

### Included Modules

Sequel::Oracle::DatabaseMethods Sequel::JDBC::Transactions

### Constants

PRIMARY_KEY_INDEX_RE | = | /\Asys_/i.freeze

### Public Class methods

extended(db)

[Source]

        # File lib/sequel/adapters/jdbc/oracle.rb, line 15
    15:         def self.extended(db)
    16:           db.instance_eval do
    17:             @autosequence = opts[:autosequence]
    18:             @primary_key_sequences = {}
    19:           end
    20:         end

[Validate]